package com.chinaitop.agile.mapper;

import com.chinaitop.agile.model.DataKcglKcswDefault;
import com.chinaitop.agile.model.DataKcglKcswDefaultExample;
import com.chinaitop.agile.model.DataKcswScedule;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface DataKcglKcswDefaultMapper {
    int countByExample(DataKcglKcswDefaultExample example);

    int deleteByExample(DataKcglKcswDefaultExample example);

    int deleteByPrimaryKey(String dataid);

    int insert(DataKcglKcswDefault record);

    int insertSelective(DataKcglKcswDefault record);

    List<DataKcglKcswDefault> selectByExample(DataKcglKcswDefaultExample example);

    List<DataKcglKcswDefault> getEmptyPolice(DataKcglKcswDefaultExample example);

    DataKcglKcswDefault selectByPrimaryKey(String dataid);

    int updateByExampleSelective(@Param("record") DataKcglKcswDefault record, @Param("example") DataKcglKcswDefaultExample example);

    int updateByExample(@Param("record") DataKcglKcswDefault record, @Param("example") DataKcglKcswDefaultExample example);

    int updateByPrimaryKeySelective(DataKcglKcswDefault record);

    int updateByPrimaryKey(DataKcglKcswDefault record);

    /**
     * 粮食品种柱状图
     * 
     * @param orgId 单位ID
     * @return
     */
    List<DataKcswScedule> countByLspz(Map<String, Object> map);

    /**
     * 粮食等级分类饼图
     * 
     * @param orgId 单位ID
     * @return
     */
    List<DataKcswScedule> countByDj(Map<String, Object> map);

    /**
     * 查询库存/库容比
     * 
     * @param map
     * @return
     */
    String countByBl(Map<String, Object> map);

    List<DataKcglKcswDefault> queryLKNewData(Map<String, Object> map);

    List<DataKcglKcswDefault> getHouseOrWareList(Map<String, Object> modelMap);

    List<Map<String, Object>> countByPz();

    List<Map<String, Object>> countByXz();

    List<Map<String, Object>> countByYear();

    List<Map<String, Object>> countByCity();

	List<DataKcglKcswDefault> getMassageBych(Map<String, Object> modelMap);

	/**
	 * 查询入库时间大于两年的库存实物表数据
	 * @param map
	 * @return
	 */
	List<DataKcglKcswDefault> get_thenTwoYear_List(Map<String, Object> map);

    List<DataKcglKcswDefault> getDateByChHwh(Map<String, Object> modelMapmodelMap);

    List<DataKcglKcswDefault> findListOrRcsj(DataKcglKcswDefault kcsw);
    List<DataKcglKcswDefault> findListOrRcsjtank(DataKcglKcswDefault kcsw);

    List<DataKcglKcswDefault> findLiangQuanCondition(Map<String, Object> mapExample);
    List<DataKcglKcswDefault> findLiangQuankcsl(Map<String, Object> mapExample);
}