package com.chinaitop.agile.service;

import java.util.List;

import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;

public interface DataKcglFcbgzDefaultService {

	/**
	 * 按照仓号、货位号、品种、粮食性质、日期为条件查询某一天最后录入的那条数据
	 * 
	 * @param fcbgz
	 * @return
	 * @throws Exception
	 */
	DataKcglFcbgzDefault findConditionMax(DataKcglFcbgzDefault fcbgz) throws Exception;

	/**
	 * 查询分仓保管账列表
	 * 
	 * @param example
	 * @return
	 * @throws Exception
	 */
	List<DataKcglFcbgzDefault> findByList(DataKcglFcbgzDefaultExample example) throws Exception;

	/**
	 * 查询一条分仓保管账数据
	 * 
	 * 
	 * @param id 数据ID
	 * @return
	 */
	DataKcglFcbgzDefault findByIdFcbgzData(String id);
}
