package com.chinaitop.agile.mapper;

import com.chinaitop.agile.model.DataKcglFcbgzDefault;
import com.chinaitop.agile.model.DataKcglFcbgzDefaultExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface DataKcglFcbgzDefaultMapper {
    int countByExample(DataKcglFcbgzDefaultExample example);

    int deleteByExample(DataKcglFcbgzDefaultExample example);

    int deleteByPrimaryKey(String dataid);

    int insert(DataKcglFcbgzDefault record);

    int insertSelective(DataKcglFcbgzDefault record);

    List<DataKcglFcbgzDefault> selectByExample(DataKcglFcbgzDefaultExample example);
    
    DataKcglFcbgzDefault selectByPrimaryKey(String dataid);

    int updateByExampleSelective(@Param("record") DataKcglFcbgzDefault record, @Param("example") DataKcglFcbgzDefaultExample example);

    int updateByExample(@Param("record") DataKcglFcbgzDefault record, @Param("example") DataKcglFcbgzDefaultExample example);

    int updateByPrimaryKeySelective(DataKcglFcbgzDefault record);

    int updateByPrimaryKey(DataKcglFcbgzDefault record);

    /**
     * 分仓保管账
     * @param param_map
     * @return
     */
    List<Map<String, Object>> countByDay(Map<String, Object> param_map);

    // 粮食追溯
    List<Map<String, Object>> selectByFoodstuffTracesList(Map<String, Object> paramMap);

    /**
     * 保管明细账
     * @param map
     * @return
     */
    List<Map<String, Object>> selectHouseKeepAccountData(Map<String, Object> map);

    List<Map<String, Object>> getOnDayData(Map<String, Object> map);
    List<Map<String, Object>> getOnMonthData(Map<String, Object> map);
    List<Map<String, Object>> getOnJJDHData(Map<String, Object> map);
    String getOnPZWHData(Map<String, Object> map);

    Map<String, Object> getCountQYzl(Map<String, Object> map);
}